## openjdk-8 8u472-ga~us1

=== debian/changelog ===
openjdk-8 (8u472-ga~us1-0ubuntu1) resolute; urgency=medium

  * New upstream release. See
    https://mail.openjdk.org/pipermail/jdk8u-dev/2025-October/020593.html
    - CVEs:
      + CVE-2025-53057, 8360937: Enhance certificate handling.
      + CVE-2025-53066, 8356294: Enhance Path Factories.
  * d/rules: enable compilation by gcc-15, use -std=c99.
  * d/p/glibc2.42.patch: patch to fix uabs() name collision with glibc 2.42.
  * d/p/aarch32.diff: uabs() collision fix for aarch32

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Fri, 24 Oct 2025 13:21:08 +0530
