## openjdk-8 8u472-ga

=== debian/changelog ===
openjdk-8 (8u472-ga-1) unstable; urgency=low

  * New upstream release (Closes: #1118944)
  * CVEs
    - CVE-2025-53057
    - CVE-2025-53066
  * Other changes see https://bit.ly/openjdk8u472
  * Update d/copyright
  * Sync list of compilers and known releases
  * Add patches to rename the (custom) uabs function, to avoid a
    conflict with glibc 2.42 in experimental, following what jdk11
    did but wasn’t yet merged to jdk8 (Closes: #1115228)
  * Build with -std=gnu11 as configure tests for, not C23 ready

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 02 Nov 2025 17:30:44 +0000
