=== debian/rules ===
--- 
+++ 
@@ -68,8 +68,8 @@
 endif
 
 # we know about:
-# wheezy jessie stretch buster bullseye bookworm trixie sid
-# precise trusty xenial bionic focal jammy noble oracular plucky questing
+# wheezy jessie stretch buster bullseye bookworm trixie forky sid
+# precise trusty xenial bionic focal jammy noble oracular plucky questing resolute
 
 ifneq (,$(filter $(distrel),wheezy precise trusty))
   is_default = no
@@ -217,7 +217,7 @@
 # FIXME: ftbfs with -Werror=format-security
 dpkg_buildflags_hs = \
 	DEB_CFLAGS_MAINT_STRIP="-O2 -O3 -Werror=format-security" \
-	DEB_CFLAGS_MAINT_APPEND="-std=c99" \
+	DEB_CFLAGS_MAINT_APPEND="-std=gnu11" \
 	DEB_CXXFLAGS_MAINT_STRIP="-O2 -O3 -Werror=format-security"
 # jdk/make/CompileDemos.gmk (SetupJVMTIDemo) doesn't like commas in flags
 dpkg_buildflags_hs += \
@@ -226,4 +226,3 @@
 dpkg_buildflags_hs += dpkg-buildflags
 export EXTRA_CPPFLAGS_HS := $(shell $(dpkg_buildflags_hs) --get CPPFLAGS)
 export EXTRA_CFLAGS_HS   := $(shell $(dpkg_buildflags_hs) --get CFLAGS) $(shell $(dpkg_buildflags_hs) --get CPPFLAGS)
-export EXTRA_CXXFLAGS_HS := $(shell $(dpkg_buildflags_hs) --get CXXFLAGS)
