## openjdk-8 8u482-ga~us1

=== debian/changelog ===
openjdk-8 (8u482-ga~us1-0ubuntu1) resolute; urgency=medium

  * OpenJDK 8 release 482, build 8. Release notes:
    https://mail.openjdk.org/pipermail/jdk8u-dev/2026-January/020959.html
    - CVEs:
      + CVE-2026-21945: 8368032: Enhance Certificate Checking.
      + CVE-2026-21932: 8359501: Enhance Handling of URIs.
      + CVE-2026-21933: 8362632: Improve HttpServer Request handling.
      + CVE-2026-21925: 8341496: Improve JMX connections.
  * d/p/hotspot-libpath-*.diff: Refresh patches.
  * d/p/uabs-*.diff: Drop patches applied upstream.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Fri, 23 Jan 2026 16:19:08 +1300
