=== debian/rules ===
--- 
+++ 
@@ -101,10 +101,10 @@
 is_release		=
 is_release		= yes
 gh_project		= jdk8u
-gh_tag			= jdk8u472-ga
+gh_tag			= jdk8u482-ga
 version_dash_buildnr	= $(subst ${gh_project},,${gh_tag})
-version_dash_buildnr	= 472-b08
-gh_tag_aarch32		= jdk8u472-ga-aarch32-20251022
+version_dash_buildnr	= 482-b08
+gh_tag_aarch32		= jdk8u482-b05-aarch32-20260106
 package_version		= $(subst jdk,,${gh_tag})
 ifneq ($(is_release),yes)
   package_version	:= $(subst -,~,$(package_version))
