## openjdk-8 8u482-ga

=== debian/changelog ===
openjdk-8 (8u482-ga-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2026-21925, CVE-2026-21932, CVE-2026-21933, CVE-2026-21945
  * Drop uabs patches, included upstream.
  * debian/patches/hotspot-libpath-*.diff:
    - updated.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 02 Mar 2026 00:18:52 +0100
