=== debian/rules ===
--- 
+++ 
@@ -104,7 +104,7 @@
 gh_tag			= jdk8u482-ga
 version_dash_buildnr	= $(subst ${gh_project},,${gh_tag})
 version_dash_buildnr	= 482-b08
-gh_tag_aarch32		= jdk8u482-b05-aarch32-20260106
+gh_tag_aarch32		= jdk8u482-ga-aarch32-20260122
 package_version		= $(subst jdk,,${gh_tag})
 ifneq ($(is_release),yes)
   package_version	:= $(subst -,~,$(package_version))
